%
% Crittografia 2020/2021
% Authors:
%  - Andrea Casadei
%
% Alma Mater Studiorum - Università di Bologna
%

\documentclass[12pt,a4paper]{article}
\renewcommand{\baselinestretch}{1.3}

\usepackage[utf8]{inputenc}
\usepackage[bookmarks]{hyperref}
\usepackage{graphicx}
\usepackage{subcaption}
\usepackage{float}
\usepackage{tikz}
\usepackage{multirow}
\usepackage[nottoc]{tocbibind}
\usepackage{bookmark}
\usepackage{booktabs}
\usepackage{tabularx}
\usepackage[ddmmyyyy]{datetime}
\usepackage{titling}
\usepackage[section]{placeins}
\setlength{\droptitle}{-5em}
\setlength{\textwidth}{370pt}
\setlength{\textheight}{590pt}

\graphicspath{{./img/}}
\hypersetup{
    pdftitle={sha1 collision attack},
    pdfauthor={Andrea Casadei},
    pdfkeywords={hash function, cryptoanalysis, collision attack}
}

\renewcommand{\abstractname}{Sommario}
\renewcommand{\figurename}{Figura}
\renewcommand{\tablename}{Tabella}
\renewcommand{\refname}{Riferimenti bibliografici}

\begin{document}
\title{\textbf{Attacchi di collisioni in SHA-1}\\
    Corso di Crittografia}
\author{Andrea Casadei
    (\href{mailto:andrea.casadei22@studio.unibo.it}{\texttt{andrea.casadei22@studio.unibo.it}})
    \\
    Alma Mater Studiorum - Università di Bologna\\}
\date{\today}
\maketitle \thispagestyle{empty}

\newpage
\tableofcontents
\newpage
\input{./chapter/0-intro.tex}
\newpage
\input{./chapter/1-hash-function.tex}
\newpage
\input{./chapter/2-collision-attack.tex}
\newpage
\input{./chapter/3-collision-procedure.tex}
\newpage
\input{./chapter/4-conclusion.tex}
\newpage
\input{./chapter/5-reference.tex}
\newpage
\end{document}
